Subject: bug#63132: Bug on Darwin MacOS with 'M-x man RET commandname[ ]'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 May 2023 15:00:59 +0300

> From: Eshel Yaron <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Tue, 02 May 2023 09:33:31 +0300
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Stefan Monnier <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Mon, 01 May 2023 14:03:40 -0400
> >>
> >> >> So `M-x man RET 2 SPC TAB` should (hopefully) list all the section
> >> >> 2's manpages.
> >> > So you are saying the lags here are unavoidable?
> >>
> >> I don't know.  I don't see any significant lag here.
> >
> > The OP says it only happens on macOS, not on GNU/Linux.
> >
> >> But if that's a problem, maybe we should tweak the system so we only
> >> fetch the list when there's at least one char after the space (to
> >> keep the list shorter)?
> >
> > Something like that.
> >
> 
> I can confirm that completion in `M-x man` induces a seconds-long lag on
> Mac OS.  I believe that has been the case, for me, for at least a couple
> of years.  I often find myself typing out the man page name I'm looking
> for in full and avoiding completion because of this.

Are you saying that any completion in "M-x man" produces a lag?  If
so, there's nothing we can do here, except suggest that the OP
switches to a better OS.

The OP seemed to say that the lag happens only for some inputs
following "M-x man", in particular those which ends with a space.  Is
that not what you see?